Bug 895270 - Port impressive's use of PIL to support Pillow for F19
Port impressive's use of PIL to support Pillow for F19
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: impressive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 18:13 EST by Toshio Ernie Kuratomi
Modified: 2013-01-18 03:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 03:10:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (806 bytes, patch)
2013-01-14 18:13 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 18:13:08 EST
Created attachment 678496 [details]
Patch to use the form of import of PIL that is pillow compatible

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the impressive source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Michael J Gruber 2013-01-15 12:24:46 EST
Update is pushed and in koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=378200

I can confirm that this works with the old PIL. Please confirm that it goes smoothly with PILLOW also ;)
Comment 2 Toshio Ernie Kuratomi 2013-01-17 16:03:36 EST
@Sandro Mani -> are you able to confirm that the new build works with your proposed python-pillow packages?
Comment 3 Sandro Mani 2013-01-17 16:10:39 EST
Doing a
$ impressive /some/file.pdf
seems to work just fine.
Comment 4 Michael J Gruber 2013-01-18 03:10:12 EST
Thanks everyone.

Assuming that pillow doesn't go to F18, I'm closing this RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.